site/apps/childcarts/urls.py
from django.urls import path

from .views import ChildCartListView, ChildCartDetailView

app_name = 'childcarts'

urlpatterns = [
    path('childcart-list/',
         ChildCartListView.as_view(),
         name='childcart_list'),
    path('',
         ChildCartListView.as_view(),
         name='childcart_list'),
    path('<category_name>',
         ChildCartListView.as_view(),
         name='childcart_category'),
    path('<int:cart_id>/<cart_slug>/',
         ChildCartDetailView.as_view(),
         name='childcart_detail'),

]

site/apps/clothes/urls.py
from django.urls import path

from .views import ClothDetailView, ClothesView, IndexView, ClothesListView

app_name = 'clothes'

urlpatterns = [
    path('', IndexView.as_view(), name='index'),
    path('clothes/',
         ClothesView.as_view(),
         name='clothes'),
    path('clothes-list/',
         ClothesListView.as_view(),
         name='clothes_list'),
    path('<int:year>/<int:month>/<int:day>/<slug:cloth>/',
         ClothDetailView.as_view(),
         name='cloth_detail'),
]

site/apps/pages/urls.py
from django.urls import path

from .views import HomePageView, AboutUsView, ContactFormView, SearchTextView, home_files


app_name = 'pages'

urlpatterns = [
    path('<filename>(robots.txt)|(humans.txt))',
        home_files, name='home-files'),
]

urlpatterns += [
    path('',
         HomePageView.as_view(),
         name='home'),
    path('contact-us/',
         ContactFormView.as_view(),
         name='contact_us'),
    path('about-us/',
         AboutUsView.as_view(),
         name='about_us'),
    # FIXME we need optional orguments here
    path('<>/',
         SearchTextView.as_view(),
         name='search'),
]

site/base/urls.py
"""site URL Configuration"""

from django.conf.urls import include, handler404, \
    handler500, handler403, handler400
from django.urls import path
from django.conf import settings
from django.conf.urls.i18n import i18n_patterns
from django.conf.urls.static import static
from django.contrib import admin
admin.autodiscover()

from apps.pages.views import ErrorPageView


urlpatterns = i18n_patterns(
    path('admin/', admin.site.urls),
    path('clothes/', include('apps.clothes.urls')),
    path('products/', include('apps.products.urls', namespace='products')),
    path('childcarts/', include('apps.childcarts.urls', namespace='childcarts')),
    path('', include('apps.pages.urls')),
)

if settings.DEBUG:
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

# views to display the corresponding error pages
handler404 = ErrorPageView.as_view(error_code='404')
handler403 = ErrorPageView.as_view(error_code='403')
handler400 = ErrorPageView.as_view(error_code='400')
handler500 = ErrorPageView.as_view(error_code='500')

site/templates/base.html
{% load staticfiles %}
{% load i18n %}

<!DOCTYPE html>
<html lang="en">
<!--{% load static %}-->
<link rel="stylesheet" type="text/css" href="{% static 'css/main.css' %}">
<head>
    <meta charset="UTF-8">
    <title>Born Og Mode</title>
</head>
<body>
    <h1>{% trans "Welcome to Children & Fashion!"%}</h1>
    <div class="container">
        {% block content %}
        {% endblock content %}
    </div>
</body>
</html>

site/templates/home_base.html
{% load staticfiles %}
{% load i18n %}
<!doctype html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <!--<link rel="icon" href="favicon.ico">-->

  <title>{% block head_title %}{% endblock %}Børn og Mode</title>
  {% include "pages/home_head_css.html" %}
</head>

<body>

  {% include "pages/navbar.html" %}
  {% include "pages/main_search_bar.html" %}
  {% include "main_menu.html" %}

  {% block jumbotron %} {% endblock %}
  <main role="main" class="container">

      {% block content %} {% endblock %}

  </main>

  {% include 'pages/home_javascript.html' %}
  <hr>
  <footer class="container">
    <p>&copy; Company 2018</p>
  </footer>
</body>
</html>

site/templates/main_menu.html
<nav class="navbar navbar-expand-md navbar-dark bg-dark mb-4">
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarCollapse" aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarCollapse">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" id="dropdown01" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Clothing & Shoes</a>
        <div class="dropdown-menu" aria-labelledby="dropdown01">
          <a class="dropdown-item" href="{% url 'clothes:clothes_list' %}">All</a>
          <a class="dropdown-item" href="{% url 'pages:contact_us' %}">Contact us</a>
          <a class="dropdown-item" href="#">Payment & Security</a>
          <a class="dropdown-item" href="#">Conditions</a>
          <a class="dropdown-item" href="#">Frequently asked questions</a>
          <a class="dropdown-item" href="#">Information & Recalls</a>
        </div>
      </li>
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" id="dropdown02" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Child Carts</a>
        <div class="dropdown-menu" aria-labelledby="dropdown01">
          <a class="dropdown-item" href="{% url 'childcarts:childcart_list' %}">All</a>
          <a class="dropdown-item" href="{% url 'pages:contact_us' %}">Contact us</a>
          <a class="dropdown-item" href="#">Payment & Security</a>
          <a class="dropdown-item" href="#">Conditions</a>
          <a class="dropdown-item" href="#">Frequently asked questions</a>
          <a class="dropdown-item" href="#">Information & Recalls</a>
        </div>
      </li>
      <!--<li class="nav-item dropdown">-->
        <!--<a class="nav-link dropdown-toggle" id="dropdown03" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Eating</a>-->
        <!--<div class="dropdown-menu" aria-labelledby="dropdown01">-->
          <!--<a class="dropdown-item" href="{% url 'clothes:clothes_list' %}">Clothing</a>-->
          <!--<a class="dropdown-item" href="{% url 'pages:contact_us' %}">Contact us</a>-->
          <!--<a class="dropdown-item" href="#">Payment & Security</a>-->
          <!--<a class="dropdown-item" href="#">Conditions</a>-->
          <!--<a class="dropdown-item" href="#">Frequently asked questions</a>-->
          <!--<a class="dropdown-item" href="#">Information & Recalls</a>-->
        <!--</div>-->
      <!--</li>-->
      <!--<li class="nav-item dropdown">-->
        <!--<a class="nav-link dropdown-toggle" id="dropdown04" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Bathing</a>-->
        <!--<div class="dropdown-menu" aria-labelledby="dropdown01">-->
          <!--<a class="dropdown-item" href="{% url 'clothes:clothes_list' %}">Clothing</a>-->
          <!--<a class="dropdown-item" href="{% url 'pages:contact_us' %}">Contact us</a>-->
          <!--<a class="dropdown-item" href="#">Payment & Security</a>-->
          <!--<a class="dropdown-item" href="#">Conditions</a>-->
          <!--<a class="dropdown-item" href="#">Frequently asked questions</a>-->
          <!--<a class="dropdown-item" href="#">Information & Recalls</a>-->
        <!--</div>-->
      <!--</li>-->
      <!--<li class="nav-item dropdown">-->
        <!--<a class="nav-link dropdown-toggle" id="dropdown05" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Toys</a>-->
        <!--<div class="dropdown-menu" aria-labelledby="dropdown01">-->
          <!--<a class="dropdown-item" href="{% url 'clothes:clothes_list' %}">Clothing</a>-->
          <!--<a class="dropdown-item" href="{% url 'pages:contact_us' %}">Contact us</a>-->
          <!--<a class="dropdown-item" href="#">Payment & Security</a>-->
          <!--<a class="dropdown-item" href="#">Conditions</a>-->
          <!--<a class="dropdown-item" href="#">Frequently asked questions</a>-->
          <!--<a class="dropdown-item" href="#">Information & Recalls</a>-->
        <!--</div>-->
      <!--</li>-->
      <!--<li class="nav-item dropdown">-->
        <!--<a class="nav-link dropdown-toggle" id="dropdown06" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Sleeping</a>-->
        <!--<div class="dropdown-menu" aria-labelledby="dropdown01">-->
          <!--<a class="dropdown-item" href="{% url 'clothes:clothes_list' %}">Clothing</a>-->
          <!--<a class="dropdown-item" href="{% url 'pages:contact_us' %}">Contact us</a>-->
          <!--<a class="dropdown-item" href="#">Payment & Security</a>-->
          <!--<a class="dropdown-item" href="#">Conditions</a>-->
          <!--<a class="dropdown-item" href="#">Frequently asked questions</a>-->
          <!--<a class="dropdown-item" href="#">Information & Recalls</a>-->
        <!--</div>-->
      <!--</li>-->
      <!--<li class="nav-item dropdown">-->
        <!--<a class="nav-link dropdown-toggle" id="dropdown07" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Furniture</a>-->
        <!--<div class="dropdown-menu" aria-labelledby="dropdown01">-->
          <!--<a class="dropdown-item" href="{% url 'clothes:clothes_list' %}">Clothing</a>-->
          <!--<a class="dropdown-item" href="{% url 'pages:contact_us' %}">Contact us</a>-->
          <!--<a class="dropdown-item" href="#">Payment & Security</a>-->
          <!--<a class="dropdown-item" href="#">Conditions</a>-->
          <!--<a class="dropdown-item" href="#">Frequently asked questions</a>-->
          <!--<a class="dropdown-item" href="#">Information & Recalls</a>-->
        <!--</div>-->
      <!--</li>-->
    </ul>
  </div>
</nav>

site/templates/pagination.html
<div class="pagination">
  <span class="step-links">
    {% if page.has_previous %}
      <a href="?page={{ page.previous_page_number }}">Previous</a>
    {% endif %}
    <span class="current">
      Page {{ page.number }} of {{ page.paginator.num_pages }}.
    </span>
      {% if page.has_next %}
        <a href="?page={{ page.next_page_number }}">Next</a>
      {% endif %}
  </span>
</div>